-- =============================================================================
-- Licensed Materials - Property of IBM
-- 
-- 5724W86
-- 5724X63
-- 
-- (C) Copyright IBM Corp. 2011 All Rights Reserved
-- 
-- US Government Users Restricted Rights
-- - Use, duplication or disclosure restricted by
--   GSA ADP Schedule Contract with IBM Corp.
-- =============================================================================
-- This package must be defined by every pack. It is used by the action
-- framework to refresh the data in the BI tables when needed
-- This code could just as easily be implemented in Java
-- =============================================================================

CREATE OR REPLACE PACKAGE bi_data AS

  -- empty all the DM tables managed in this pack
  PROCEDURE clear;

  -- do a truncate on all the DM tables managed in this pack
  PROCEDURE clobber;

  -- Fill all the DM tables managed in this pack
  PROCEDURE refill;

  PROCEDURE collect_stats;

  -- A second pass done by the CDM packs to populate any hierarchies they
  -- maintain from data that has been put into the DM tables
  PROCEDURE refill_hierarchies;

END bi_data;
/


