-- =============================================================================
-- Licensed Materials - Property of IBM
-- 
-- 5724W86
-- 5724X63
-- 
-- (C) Copyright IBM Corp. 2011 All Rights Reserved
-- 
-- US Government Users Restricted Rights
-- - Use, duplication or disclosure restricted by
--   GSA ADP Schedule Contract with IBM Corp.
-- =============================================================================

CREATE TABLE dm_cg_ip
(
  dm_id                  INTEGER NOT NULL,
  NETWORK_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  cg_ip_key       INTEGER,
  CG_IP_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_cg_ip_21 ON dm_cg_ip(CG_IP_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_cg_ip_22 ON dm_cg_ip(NETWORK_DM_ID) TABLESPACE &defaultTablespace;

CREATE TABLE dm_ggsn_board
(
  dm_id                  INTEGER NOT NULL,
  GGSN_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  ggsn_board_key       INTEGER,
  GGSN_BOARD_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_ggsn_board_31 ON dm_ggsn_board(GGSN_BOARD_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_ggsn_board_32 ON dm_ggsn_board(GGSN_DM_ID) TABLESPACE &defaultTablespace;

CREATE TABLE dm_hplmn
(
  dm_id                  INTEGER NOT NULL,
  NETWORK_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  hplmn_key       INTEGER,
  HPLMN_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_hplmn_41 ON dm_hplmn(HPLMN_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_hplmn_42 ON dm_hplmn(NETWORK_DM_ID) TABLESPACE &defaultTablespace;

CREATE TABLE dm_pcrf
(
  dm_id                  INTEGER NOT NULL,
  REGION_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  pcrf_key       INTEGER,
  PCRF_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_pcrf_51 ON dm_pcrf(PCRF_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_pcrf_52 ON dm_pcrf(REGION_DM_ID) TABLESPACE &defaultTablespace;

CREATE TABLE dm_physical_port
(
  dm_id                  INTEGER NOT NULL,
  GGSN_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  physical_port_key       INTEGER,
  PHYSICAL_PORT_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_physical_port_61 ON dm_physical_port(PHYSICAL_PORT_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_physical_port_62 ON dm_physical_port(GGSN_DM_ID) TABLESPACE &defaultTablespace;

CREATE TABLE dm_sgsn_ip
(
  dm_id                  INTEGER NOT NULL,
  SGSN_DM_ID       INTEGER,
  start_time             DATE,
  end_time               DATE,
  sgsn_ip_key       INTEGER,
  SGSN_IP_ID        VARCHAR2(255)
) TABLESPACE &defaultTablespace;

CREATE BITMAP INDEX IDX_dm_sgsn_ip_71 ON dm_sgsn_ip(SGSN_IP_ID) TABLESPACE &defaultTablespace;
CREATE BITMAP INDEX IDX_dm_sgsn_ip_72 ON dm_sgsn_ip(SGSN_DM_ID) TABLESPACE &defaultTablespace;

